List cardholders
curl --request GET \
--url https://api.contro.me/v1/partner/cardholders \
--header 'x-contro-api-key: <api-key>'import requests
url = "https://api.contro.me/v1/partner/cardholders"
headers = {"x-contro-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-contro-api-key': '<api-key>'}};
fetch('https://api.contro.me/v1/partner/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ch_abc123",
"externalUserId": "user_42",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"phoneNumber": "+14155552671",
"kycSource": "api",
"kycStatus": "approved",
"status": "active",
"createdAt": "2026-03-20T14:30:00Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}Cardholders
List cardholders
List cardholders for this partner
GET
/
partner
/
cardholders
List cardholders
Authorizations
Partner API key (sk_live_* for production, sk_test_* for sandbox)
Query Parameters
Page number
Required range:
x >= 1Number of items per page (1-100)
Required range:
1 <= x <= 100ISO 8601 start timestamp (inclusive)
ISO 8601 end timestamp (inclusive)
Filter by cardholder status. One of: active, suspended, closed
Example:
"active"
Filter by KYC status. One of: pending, approved, rejected
Example:
"approved"
Filter by partner-supplied external user ID
Example:
"user_123"